\documentclass[noanswers, nolegalese, 11pt]{examjh}
% \documentclass[answers, nolegalese, 11pt]{examjh}
\usepackage{../../../../computingfonts}
\usepackage{../../../../contentmacros}
\usepackage{../../../../grammar}
\usepackage{graphicx}

\setlength{\parindent}{0em}\setlength{\parskip}{0.5ex}
\pagestyle{empty}
\begin{document}\thispagestyle{empty}
\makebox[\textwidth]{Questions for Four.V\hfill  From \textit{Theory of Computation}, by Hef{}feron}\vspace{-1ex}
\makebox[\textwidth]{\hbox{}\hrulefill\hbox{}}


\begin{questions}
\question
Use the Pumping Lemma to show that each is not regular.
\begin{parts}
\part
$\lang_0=\set{\str{0}^n\str{1}^n\in\kleenestar{\B}\suchthat n\in\N}$
\part
$\lang_1=\set{\str{a}^n\str{b}^m\str{c}^{n\cdot m}\in\kleenestar{\set{\str{a},\str{b},\str{c}}}\suchthat n,m\in\N}$
\end{parts}

\question
One of these is regular and one is not.
Which is which?
You must prove your assertions.
\begin{parts}
\part $\set{\str{a}^n\str{b}^m\in\kleenestar{\set{\str{a},\str{b}}}\suchthat n=m^2}$
\part $\set{\str{a}^n\str{b}^m\in\kleenestar{\set{\str{a},\str{b}}}\suchthat 3<m,n}$
\end{parts}
\begin{solution}
  The second is regular.
  A regular expression that describes this language is 
  \re{aaaa*bbbb*}.

  The first is not regular.
  For contradiction, suppose that this language is regular.
  Then it has a pumping length,~$p$.
  Consider the string $\sigma=\str{a}^{p^2}\str{b}^p$.
  It is a member of the language whose length is greater than or equal to~$p$
  so it decomposes into $\sigma=\alpha\beta\gamma$ in a way that satisfies the
  three conditions.
  Condition~(1) implies that both $\alpha$ and~$\beta$ consist only of~\str{a}'s.
  Condition~(2) implies that $\beta$ consists of at least one~\str{a}.

  Now consider condition~(3)'s list, $\alpha\gamma$,
  $\alpha\beta^2\gamma$, \ldots{}\sentencespace
  Compared to $\sigma=\alpha\beta\gamma$, the entry $\alpha\gamma$ has 
  at least one fewer~\str{a} but the same number of~\str{b}'s.
  Therefore the number of \str{a}'s is not the square of the number
  of \str{b}'s, and so $\alpha\gamma$ is not in the language.
  That contradicts condition~(3).  
\end{solution}


\end{questions}
\end{document}
